Subject: Re: [PATCH v2 13/17] x86/setup: simplify initrd relocation and reservation

From: Ingo Molnar <[email-masked]>
Date: Sun, 2 Aug 2020 20:01:10 +0200

* Mike Rapoport <[email-masked]> wrote:

> From: Mike Rapoport <[email-masked]>
> 
> Currently, initrd image is reserved very early during setup and then it
> might be relocated and re-reserved after the initial physical memory
> mapping is created. The "late" reservation of memblock verifies that mapped
> memory size exceeds the size of initrd, the checks whether the relocation
> required and, if yes, relocates inirtd to a new memory allocated from
> memblock and frees the old location.
> 
> The check for memory size is excessive as memblock allocation will anyway
> fail if there is not enough memory. Besides, there is no point to allocate
> memory from memblock using memblock_find_in_range() + memblock_reserve()
> when there exists memblock_phys_alloc_range() with required functionality.
> 
> Remove the redundant check and simplify memblock allocation.
> 
> Signed-off-by: Mike Rapoport <[email-masked]>

Assuming there's no hidden dependency here breaking something:

  Acked-by: Ingo Molnar <[email-masked]>

Thanks,

	Ingo